# This is the CRAN name
%global packname RcppGSL
# This is the main package version
%global packver 0.3
# Note that some R packages do not use packrel
%global packrel 13
%global rlibdir   %{_libdir}/R/library

Name:           R-%{packname}
Version:        %{packver}.%{packrel}
Release:        0.sles15.lc
Summary:        Rcpp Integration for GNU GSL Vectors and Matrices

Group:          Development/Libraries/Other
License:        GPL-2.0+
URL:            http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:        %{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires: R-base-devel tex(latex) R-Rcpp R-Rcpp-devel gcc-c++
#
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif

Requires:       R-base

%description
R package:
Rcpp integration for GNU GSL vectors and matrices The GNU Scientific Library (or GSL) is a collection of numerical routines for scientific computing. The RcppGSL package provides an easy-to-use interface between GSL data structures and R using concepts from Rcpp which is itself a package that eases the interfaces between R and C++.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.Rd
%doc %{rlibdir}/%{packname}/doc/RcppGSL-intro.Rnw
%doc %{rlibdir}/%{packname}/doc/RcppGSL-intro.pdf
%doc %{rlibdir}/%{packname}/doc/index.html
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/examples/RcppGSLExample/DESCRIPTION
%{rlibdir}/%{packname}/examples/RcppGSLExample/NAMESPACE
%{rlibdir}/%{packname}/examples/RcppGSLExample/R/RcppExports.R
%{rlibdir}/%{packname}/examples/RcppGSLExample/R/colNorm.R
%{rlibdir}/%{packname}/examples/RcppGSLExample/configure
%{rlibdir}/%{packname}/examples/RcppGSLExample/configure.ac
%{rlibdir}/%{packname}/examples/RcppGSLExample/man/colNorm.Rd
%{rlibdir}/%{packname}/examples/RcppGSLExample/src/Makevars.in
%{rlibdir}/%{packname}/examples/RcppGSLExample/src/Makevars.win
%{rlibdir}/%{packname}/examples/RcppGSLExample/src/RcppExports.cpp
%{rlibdir}/%{packname}/examples/RcppGSLExample/src/colNorm.cpp
%{rlibdir}/%{packname}/examples/RcppGSLExample/src/colNorm_old.cpp
%{rlibdir}/%{packname}/examples/bSpline/bSpline.R
%{rlibdir}/%{packname}/examples/bSpline/bSpline.cpp
%{rlibdir}/%{packname}/include/RcppGSL.h
%{rlibdir}/%{packname}/include/RcppGSLForward.h
%{rlibdir}/%{packname}/include/RcppGSL_matrix.h
%{rlibdir}/%{packname}/include/RcppGSL_matrix_view.h
%{rlibdir}/%{packname}/include/RcppGSL_typedef.h
%{rlibdir}/%{packname}/include/RcppGSL_types.h
%{rlibdir}/%{packname}/include/RcppGSL_vector.h
%{rlibdir}/%{packname}/include/RcppGSL_vector_view.h
%{rlibdir}/%{packname}/libs/RcppGSL.so
%{rlibdir}/%{packname}/skeleton/Makevars.in
%{rlibdir}/%{packname}/skeleton/Makevars.win
%{rlibdir}/%{packname}/skeleton/configure
%{rlibdir}/%{packname}/skeleton/configure.win
%{rlibdir}/%{packname}/tinytest/cpp/gsl.cpp
%{rlibdir}/%{packname}/tinytest/test_client_package.R
%{rlibdir}/%{packname}/tinytest/test_fastLm.R
%{rlibdir}/%{packname}/tinytest/test_gsl.R

%changelog
* Wed Jul 17 2024 Stuart Raeburn <raeburn@loncapa.org> (0.3.13-0)
- Initial build for R 4.4.1
